## indi-starbook 0.8%2B20221222163625

=== debian/changelog ===
indi-starbook (0.8+20221222163625-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.8

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:37:08 +0000

indi-starbook (0.8+20220611132157-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:22:09 +0000

indi-starbook (0.8+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:01:15 +0000

indi-starbook (0.8-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-starbook (0.8-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Dec 2021 18:30:07 +0100

## indi-starbook 0.8+20221222163625

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_starbook CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

include(GNUInstallDirs)

set(STARBOOK_DRIVER_VERSION_MAJOR 0)
set(STARBOOK_DRIVER_VERSION_MINOR 8)

find_package(INDI REQUIRED)
find_package(CURL REQUIRED)
find_package(Nova REQUIRED)

if (CMAKE_VERSION VERSION_LESS 3.12.0)
set(CURL ${CURL_LIBRARIES})
else()
set(CURL CURL::libcurl)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_starbook_telescope.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_starbook_telescope.xml)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories(${NOVA_INCLUDE_DIR})
include_directories(${CURL_INCLUDE_DIR})

include(CMakeCommon)

############# STARBOOK ###############
set(indi_starbook_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/indi_starbook.cpp ${CMAKE_CURRENT_SOURCE_DIR}/starbook_types.cpp)

add_executable(indi_starbook_telescope ${indi_starbook_SRCS} connectioncurl.cpp connectioncurl.h command_interface.cpp command_interface.h)

target_link_libraries(indi_starbook_telescope ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${CURL})

install(TARGETS indi_starbook_telescope RUNTIME DESTINATION bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_starbook_telescope.xml DESTINATION ${INDI_DATA_DIR})

#####################################
#OPTION(INDI_BUILD_UNITTESTS "manual switch" on)
if (INDI_BUILD_UNITTESTS)
    # Workaround for fixing a linking error caused by "-pie" flag in CMakeCommon
    if (NOT APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "-Wl,-z,nodump -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
    endif ()
    enable_testing()

    find_package(GTest REQUIRED)

    include_directories(${GTEST_INCLUDE_DIRS})

    add_executable(test_starbook test_starbook.cpp ${indi_starbook_SRCS} connectioncurl.cpp connectioncurl.h command_interface.cpp command_interface.h)


    #   test shouldn't be so dependent on external libs, but here we are
    target_link_libraries(test_starbook
            ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${CURL} ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
            )

    add_test(run-tests test_starbook)
endif ()

## indi-starbook 0.8+20220129131520

=== debian/control ===
Source: indi-starbook
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, libcurl4-gnutls-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-starbook
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-starbook.git

Package: indi-starbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Vixen Starbook telescope controllers
 This package contains the INDI driver for the Vixen Starbook telescope
 controllers. It aims for compatibility with first generation Starbook.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-starbook 0.8+20221222163625

=== debian/changelog ===
indi-starbook (0.8+20221222163625-2) unstable; urgency=medium

  * add cmake4-patch (Closes: #1113033)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Sep 2025 11:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	, libindi-dev
 	, libnova-dev
 	, libcurl4-gnutls-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
